<ng-container *transloco="let t">
  <div class="tags">
    @if (displayShowMore()) {
      @for (tag of previewTags(); track tag.id) {
        <span class="tag">{{ tag.name }}</span>
      }
      <span class="spacer"></span>
      <span class="show-more" (click)="showAllTags()">
      {{ t('COMPONENTS.MANGA_TAGS.EXPAND_TAGS_BTN') }}
    </span>
    } @else {
      @for (tag of tags(); track tag.id) {
        <span class="tag">{{ tag.name }}</span>
      }
    }
  </div>
</ng-container>
